package pps.core.base.service.data.base_wind_turbine;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 发电量统计
 *
 * @author ZWT
 * @date 2024/09/02 17:09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetStationPowerGenerationOutput {

    @XText("日发电量(kWh)")
    private BigDecimal dailyGeneration;

    @XText("月发电量(kWh)")
    private BigDecimal monthGeneration;

    @XText("月发电量同比(%)")
    private BigDecimal monthGenerationRatio;

    @XText("季发电量(kWh)")
    private BigDecimal quarterlyGeneration;

    @XText("季发电量同比(%)")
    private BigDecimal quarterlyGenerationRatio;

    @XText("年发电量(kWh)")
    private BigDecimal yearGeneration;

    @XText("年发电量同比(%)")
    private BigDecimal yearGenerationRatio;
}
